import Taro from "@tarojs/taro";

/**
 * 首页全局事件
 * 当某个课程看完-触发未完成移动已完成
 */
const KEY = 'REFRESH_INDEX'

interface RefreshIndex {
  id: number
}

function on(fn: (arg: RefreshIndex) => void) {
  Taro.eventCenter.on(KEY, fn)
}

function trigger(data: RefreshIndex) {
  Taro.eventCenter.trigger(KEY, data)
}

export default {
  on,
  trigger
}

